[CRIU] [PATCH] test: show logs in case an error (v2)

Andrey Vagin avagin at openvz.org
Sun Dec 29 10:39:37 PST 2013


Makefile is locked, because tests can be executed concurrently.

v2: return non-zero code
Signed-off-by: Andrey Vagin <avagin at openvz.org>
---
 test/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/test/Makefile b/test/Makefile
index bb32826..3bdabc3 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -19,4 +19,5 @@ fault-injection: .FORCE
 
 zdtm_ns: $(shell echo "$(TST)" | tr ' ' '\n' | grep -P $(EXP))
 $(TST):
-	./zdtm.sh ${ZDTM_ARGS} $(@) &> $(subst /,_,$@).log
+	./zdtm.sh ${ZDTM_ARGS} $(@) &> $(subst /,_,$@).log || \
+	{ flock Makefile cat $(subst /,_,$@).log; exit 1; }
-- 
1.8.3.1



More information about the CRIU mailing list